﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace DataGridListView
{
    public interface IDataMatrix : IEnumerable
    {
        List<MatrixColumn> Columns { get; set; }
    }

    public class DataMatrix : IDataMatrix
    {
        public List<MatrixColumn> Columns { get; set; }
        public Dictionary<string, Dictionary<string, object>> Rows { get; set; }

        public DataMatrix()
        {
            Columns = new List<MatrixColumn>();
            Rows = new Dictionary<string, Dictionary<string, object>>();
        }

        IEnumerator IEnumerable.GetEnumerator()
        {
            return Rows.Values.GetEnumerator();
        }
    }

    public class MatrixColumn
    {
        public string Name { get; set; }
    }
}
